SystemOrganization addCategory: #'MC2-SqueakUI-Tests'!
SystemOrganization addCategory: #'MC2-SqueakUI-Browsers'!
SystemOrganization addCategory: #'MC2-SqueakUI-Nodes'!
SystemOrganization addCategory: #'MC2-SqueakUI-Commands'!

OBCommandTest subclass: #MDCmdAddFileRepositoryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Tests'!

!MDCmdAddFileRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:57'!
factory
	^ MDCmdAddFileRepository! !

!MDCmdAddFileRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:49'!
test04ConditionAcceptsProject
	| node |
	node _ MDProjectNode on: MDProject new.
	self assert: (self isActiveOn: node for: self)! !

OBCommandTest subclass: #MDCmdAddMemoryRepositoryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Tests'!

!MDCmdAddMemoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:34'!
factory
	^ MDCmdAddMemoryRepository! !

!MDCmdAddMemoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:35'!
test04ConditionAcceptsProject
	| node |
	node _ MDProjectNode on: MDProject new.
	self assert: (self isActiveOn: node for: self)! !

OBCommandTest subclass: #MDCmdAddSliceTest
	instanceVariableNames: 'isSelected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Tests'!

!MDCmdAddSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 22:41'!
factory
	^ MDCmdAddSlice! !

!MDCmdAddSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:07'!
test04ConditionAcceptsUnselectedProject
	| node |
	node _ MDProjectNode on: MDProject new.
	isSelected _ false.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdAddSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:11'!
test05ConditionRejectsSelectedSlice
	| node |
	node _ MDSliceNode on: (MDExplicitSlice named: '') inProject: MDProject new.
	isSelected _ true.
	self deny: (self isActiveOn: node for: self)! !

OBCommandTest subclass: #MDCmdLoadSnapshotTest
	instanceVariableNames: 'isSelected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Tests'!

!MDCmdLoadSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:01'!
factory
	^ MDCmdLoadSnapshot! !

!MDCmdLoadSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:12'!
isSelected: anObject
	^ isSelected! !

!MDCmdLoadSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:03'!
test02HasCorrectKeystroke
	self assert: self command keystroke = $l! !

!MDCmdLoadSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:09'!
test04ConditionAcceptsMemo
	| node |
	node _ MDMemoNode on: MDMemo new inProject: MDProject new.
	isSelected _ true.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdLoadSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:11'!
test05ConditionIgnoresParent
	| node |
	node _ MDMemoNode on: MDMemo new inProject: MDProject new.
	isSelected _ false.
	self deny: (self isActiveOn: node for: self)! !

OBCommandTest subclass: #MDCmdRemoveRepositoryTest
	instanceVariableNames: 'isSelected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Tests'!

!MDCmdRemoveRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:25'!
factory
	^ MDCmdRemoveRepository! !

!MDCmdRemoveRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:30'!
test02HasCorrectKeystroke 
	self assert: self command keystroke = $x! !

!MDCmdRemoveRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:27'!
test04ConditionAcceptsRepository
	| node |
	node _ MDRepositoryNode on: MDMemoryRepository new inProject: MDProject new.
	isSelected _ true.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdRemoveRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:29'!
test05ConditionIgnoresParent
	| node |
	node _ MDProjectNode on: MDProject new.
	isSelected _ false.
	self deny: (self isActiveOn: node for: self)! !

OBCommandTest subclass: #MDCmdRemoveSliceTest
	instanceVariableNames: 'isSelected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Tests'!

!MDCmdRemoveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:27'!
factory
	^ MDCmdRemoveSlice! !

!MDCmdRemoveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:31'!
isSelected: anObject
	^ isSelected! !

!MDCmdRemoveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:28'!
test02HasCorrectKeystroke
	self assert: self command keystroke = $x! !

!MDCmdRemoveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:29'!
test04ConditionAcceptsSlice
	| node |
	node _ MDSliceNode on: (MDExplicitSlice named: '') inProject: MDProject new.
	isSelected _ true.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdRemoveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:32'!
test05ConditionIgnoresParent
	| node |
	node _ MDSliceNode on: (MDExplicitSlice named: '') inProject: MDProject new.
	isSelected _ false.
	self deny: (self isActiveOn: node for: self)! !

OBCommandTest subclass: #MDCmdSaveSliceTest
	instanceVariableNames: 'isSelected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Tests'!

!MDCmdSaveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2007 23:36'!
factory
	^ MDCmdSaveSlice! !

!MDCmdSaveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2007 23:42'!
isSelected: aNode
	^ isSelected! !

!MDCmdSaveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2007 23:39'!
test02HasCorrectKeystroke
	self assert: self command keystroke = $s! !

!MDCmdSaveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 20:27'!
test04ConditionAcceptsSlice
	| node |
	node _ MDSliceNode on: MDExplicitSlice new inProject: MDProject new.
	isSelected _ true.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdSaveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 20:29'!
test05ConditionIgnoresParent
	| node |
	node _ MDSliceNode on: MDExplicitSlice new inProject: MDProject new.
	isSelected _ false.
	self deny: (self isActiveOn: node for: self)! !

OBCommandTest subclass: #MDCmdSaveSliceToFileTest
	instanceVariableNames: 'isSelected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Tests'!

!MDCmdSaveSliceToFileTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/9/2007 00:45'!
factory
	^ MDCmdSaveSliceToFile! !

!MDCmdSaveSliceToFileTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/9/2007 00:50'!
isSelected: aNode
	^ isSelected! !

!MDCmdSaveSliceToFileTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 20:30'!
test04ConditionAcceptsSlice
	| node |
	node _ MDSliceNode on: MDExplicitSlice new inProject: MDProject new.
	isSelected _ true.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdSaveSliceToFileTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 20:32'!
test05ConditionIgnoresParent
	| node |
	node _ MDSliceNode on: MDExplicitSlice new inProject: MDProject new.
	isSelected _ false.
	self deny: (self isActiveOn: node for: self)! !

OBBrowser subclass: #MDProjectBrowser
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Browsers'!

!MDProjectBrowser class methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 00:46'!
defaultMetaNode
	| project slice repository memo |
	project _ OBMetaNode named: 'project'.
	slice _ OBMetaNode named: 'slice'.
	repository _ OBMetaNode named: 'repository'.
	memo _ OBMetaNode named: 'memo'.
	
	project 
		childAt: #slices put: slice;
		childAt: #repositories put: repository;
		addFilter: OBModalFilter new.
		
	repository childAt: #memos put: memo.
	slice childAt: #memos put: memo.
		
	
	^ project! !

!MDProjectBrowser class methodsFor: 'as yet unclassified' stamp: 'cwp 11/11/2007 21:39'!
defaultRootNode
	^ MDProjectNode on: MDProject new! !

!MDProjectBrowser class methodsFor: 'as yet unclassified' stamp: 'cwp 11/11/2007 22:38'!
maxPanes
	^ 2! !

!MDProjectBrowser class methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 20:17'!
minPanes
	^ 2! !

!MDProjectBrowser class methodsFor: 'as yet unclassified' stamp: 'cwp 11/11/2007 21:44'!
openOn: aProject
	^ self openRoot: (MDProjectNode on: aProject)! !

!MDProjectBrowser class methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2007 22:28'!
panels
	^ Array with: self navigationPanel! !

!MDProjectBrowser class methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2007 22:34'!
title
	^ 'Slices'! !

!MDProjectBrowser methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:58'!
cmdAddFileRepository
	^ MDCmdAddFileRepository! !

!MDProjectBrowser methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:37'!
cmdAddMemoryRepository
	^ MDCmdAddMemoryRepository ! !

!MDProjectBrowser methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:10'!
cmdAddSlice
	^ MDCmdAddSlice! !

!MDProjectBrowser methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:22'!
cmdLoadSnapshot
	^ MDCmdLoadSnapshot! !

!MDProjectBrowser methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:32'!
cmdRemoveRepository
	^ MDCmdRemoveRepository! !

!MDProjectBrowser methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:33'!
cmdRemoveSlice
	^ MDCmdRemoveSlice! !

!MDProjectBrowser methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2007 23:00'!
cmdSaveSlice
	^ MDCmdSaveSlice! !

!MDProjectBrowser methodsFor: 'as yet unclassified' stamp: 'cwp 11/9/2007 00:51'!
cmdSaveSliceToFile
	^ MDCmdSaveSliceToFile! !

!MDProjectBrowser methodsFor: 'as yet unclassified' stamp: 'cwp 11/11/2007 22:24'!
initialExtent
	^ 400@300! !

TestCase subclass: #MDNodeAncestryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Tests'!

!MDNodeAncestryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 22:09'!
testMemoIdentity
	| memo project a b |
	memo _ MDMemo new.
	project _ MDProject new.
	a _ MDMemoNode on: memo inProject: project.
	b _ MDMemoNode on: memo inProject: project.
	self assert: (a isAncestorOf: b)! !

!MDNodeAncestryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:15'!
testProjectRepository
	| project repository pNode rNode |
	project _ MDSqueakImageProxy createProject.
	repository _ MDMemoryRepository new.
	project addRepository: repository.
	pNode _ MDProjectNode on: project.
	rNode _ MDRepositoryNode on: repository inProject: project.
	self assert: (pNode isAncestorOf: rNode)! !

!MDNodeAncestryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:08'!
testSliceIsAncestor
	| memo project a b slice |
	project _ MDProject new.
	slice _ MDExplicitSlice named: 'test'.
	memo _ MDMemo new.
	memo setSnapshot: (MDSnapshot withVersions: Set new) slice: slice.
	a _ MDSliceNode on: slice inProject: project.
	b _ MDMemoNode on: memo inProject: project.
	self assert: (a isAncestorOf: b)
! !

OBNode subclass: #MDNode
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Nodes'!

MDNode subclass: #MDMemoNode
	instanceVariableNames: 'memo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Nodes'!

!MDMemoNode class methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 20:13'!
on: aMemo inProject: aProject
	^ self new setMemo: aMemo project: aProject! !

!MDMemoNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 22:50'!
ancestrySelector
	^ #isDescendantOfMemo: ! !

!MDMemoNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 22:50'!
isDescendantOfMemo: aMemoNode
	^ aMemoNode reference = memo reference! !

!MDMemoNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 23:04'!
isDescendantOfSlice: aSliceNode
	^ memo matchesSlice: aSliceNode slice! !

!MDMemoNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:09'!
isMemo
	^ true! !

!MDMemoNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:23'!
memo
	^ memo! !

!MDMemoNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/11/2007 22:37'!
name
	^ memo name! !

!MDMemoNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 22:50'!
reference
	^ memo reference! !

!MDMemoNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:23'!
setMemo: aMemo project: aProject
	project _ aProject.
	memo _ aMemo.! !

!MDNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:09'!
isMemo
	^ false! !

!MDNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 22:52'!
isProject
	^ false! !

!MDNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:28'!
isRepository
	^ false! !

!MDNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2007 23:38'!
isSlice
	^ false! !

!MDNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 20:02'!
project
	^ project! !

MDNode subclass: #MDProjectNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Nodes'!

!MDProjectNode class methodsFor: 'as yet unclassified' stamp: 'cwp 11/11/2007 21:37'!
on: anOrganizer
	^ self new setProject: anOrganizer! !

!MDProjectNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:19'!
ancestrySelector
	^ #isDescendantOfProject:! !

!MDProjectNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 22:52'!
isProject
	^ true! !

!MDProjectNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 20:11'!
repositories
	^ project repositories collect: [:ea | MDRepositoryNode on: ea inProject: project]! !

!MDProjectNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/11/2007 21:36'!
setProject: aProject
	project _ aProject! !

!MDProjectNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 20:34'!
slices
	^ (project slices collect: [:ea | MDSliceNode on: ea inProject: project])
		asArray sort: [:a :b | a name <= b name]! !

MDNode subclass: #MDRepositoryNode
	instanceVariableNames: 'repository'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Nodes'!

!MDRepositoryNode class methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 20:10'!
on: aRepository inProject: aProject
	^ self new setRepository: aRepository project: aProject! !

!MDRepositoryNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:20'!
isDescendantOfProject: aNode
	^ aNode project repositories includes: repository! !

!MDRepositoryNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:28'!
isRepository
	^ true! !

!MDRepositoryNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/16/2007 01:28'!
memos
	| memos |
	memos _ repository memos asArray sort.
	^ memos collect: [:ea | MDMemoNode on: ea inProject: project]! !

!MDRepositoryNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/11/2007 21:55'!
name
	^ repository description! !

!MDRepositoryNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:32'!
repository
	^ repository! !

!MDRepositoryNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 20:07'!
setRepository: aRepository project: aProject
	project _ aProject.
	repository _ aRepository! !

MDNode subclass: #MDSliceNode
	instanceVariableNames: 'slice'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Nodes'!

!MDSliceNode class methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 20:33'!
on: aSlice inProject: aProject 
	^ self new setSlice: aSlice project: aProject! !

!MDSliceNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 22:42'!
ancestrySelector
	^ #isDescendantOfSlice: ! !

!MDSliceNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2007 23:38'!
isSlice
	^ true! !

!MDSliceNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/16/2007 01:24'!
memos
	| memos |
	memos _ project store memos select: [:ea | ea matchesSlice: slice].
	memos _ memos asArray sort.
	^ memos collect: [:ea | MDMemoNode on: ea inProject: project]! !

!MDSliceNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2007 22:21'!
name
	^ slice name! !

!MDSliceNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 21:07'!
save
	^ project save: slice! !

!MDSliceNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 20:33'!
setSlice: aSlice project: aProject
	slice _ aSlice.
	project _ aProject! !

!MDSliceNode methodsFor: 'as yet unclassified' stamp: 'cwp 11/9/2007 01:01'!
slice
	^ slice! !

OBCommand subclass: #MDCmdAddRepository
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Commands'!

MDCmdAddRepository subclass: #MDCmdAddFileRepository
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Commands'!

!MDCmdAddFileRepository methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:36'!
createRepository
	| name |
	name _ OBTextRequest prompt: 'Filename?'.
	^ MDFileRepository named: name.
! !

!MDCmdAddFileRepository methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:56'!
label
	^ 'add file repository...'! !

MDCmdAddRepository subclass: #MDCmdAddMemoryRepository
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Commands'!

!MDCmdAddMemoryRepository methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:37'!
createRepository
	^ MDMemoryRepository new! !

!MDCmdAddMemoryRepository methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:34'!
label
	^ 'add memory repository'! !

!MDCmdAddRepository methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:37'!
execute
	| repository |
	repository _ self createRepository.
	target project store addRepository: repository.
	(MDRepositoryNode on: repository inProject: target project)
		announceCreationWith: requestor! !

!MDCmdAddRepository methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:50'!
group
	^ #project! !

!MDCmdAddRepository methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:49'!
isActive
	^ target isProject! !

OBCommand subclass: #MDCmdAddSlice
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Commands'!

!MDCmdAddSlice methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:15'!
execute
	| name slice |
	name _ OBTextRequest prompt: 'Enter the name of the slice'.
	slice _ MDPackageInfoSlice named: name.
	target project addSlice: slice.
	(MDSliceNode on: slice inProject: target project) announceCreationWith: requestor! !

!MDCmdAddSlice methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:12'!
group
	^ #project! !

!MDCmdAddSlice methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:11'!
isActive
	^ target isProject! !

!MDCmdAddSlice methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:52'!
label
	^ 'add slice...'! !

OBCommand subclass: #MDCmdLoadSnapshot
	instanceVariableNames: 'isSelected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Commands'!

!MDCmdLoadSnapshot methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:13'!
execute
	target project load: target memo! !

!MDCmdLoadSnapshot methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:06'!
group
	^ #loading! !

!MDCmdLoadSnapshot methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:11'!
isActive
	^ target isMemo and: [requestor isSelected: target]! !

!MDCmdLoadSnapshot methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:04'!
keystroke
	^ $l! !

!MDCmdLoadSnapshot methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:01'!
label
	^ 'load'! !

OBCommand subclass: #MDCmdRemoveRepository
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Commands'!

!MDCmdRemoveRepository methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:31'!
execute
	target project removeRepository: target repository.
	target announceDeletionWith: requestor! !

!MDCmdRemoveRepository methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:33'!
group
	^ #repository! !

!MDCmdRemoveRepository methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:28'!
isActive
	^ target isRepository! !

!MDCmdRemoveRepository methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:30'!
keystroke
	^ $x! !

!MDCmdRemoveRepository methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:33'!
label
	^ 'remove'! !

OBCommand subclass: #MDCmdRemoveSlice
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Commands'!

!MDCmdRemoveSlice methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:39'!
execute
	target project removeSlice: target slice.
	target announceDeletionWith: requestor! !

!MDCmdRemoveSlice methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:34'!
group
	^ #project! !

!MDCmdRemoveSlice methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:30'!
isActive
	^ target isSlice and: [requestor isSelected: target]! !

!MDCmdRemoveSlice methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:28'!
keystroke
	^ $x! !

!MDCmdRemoveSlice methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:34'!
label
	^ 'remove slice'! !

OBCommand subclass: #MDCmdSaveSlice
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Commands'!

!MDCmdSaveSlice methodsFor: 'as yet unclassified' stamp: 'cwp 11/12/2007 23:08'!
execute
	| memo |
	memo _ target save.
	(MDMemoNode on: memo inProject: target project)
		announceCreationWith: requestor! !

!MDCmdSaveSlice methodsFor: 'as yet unclassified' stamp: 'cwp 11/9/2007 00:52'!
group
	^ #saving! !

!MDCmdSaveSlice methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2007 23:01'!
isActive
	^ target isSlice and: [requestor isSelected: target]! !

!MDCmdSaveSlice methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2007 23:37'!
keystroke
	^ $s! !

!MDCmdSaveSlice methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2007 23:00'!
label
	^ 'save'! !

OBCommand subclass: #MDCmdSaveSliceToFile
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-SqueakUI-Commands'!

!MDCmdSaveSliceToFile methodsFor: 'as yet unclassified' stamp: 'cwp 11/9/2007 01:02'!
execute
	| filename |
	filename _ OBTextRequest prompt: 'Filename?'.
	filename ifNotNil: [MDFileRepository saveSlice: target slice as: filename]! !

!MDCmdSaveSliceToFile methodsFor: 'as yet unclassified' stamp: 'cwp 11/9/2007 00:52'!
group
	^ #saving! !

!MDCmdSaveSliceToFile methodsFor: 'as yet unclassified' stamp: 'cwp 11/9/2007 00:48'!
isActive
	^ target isSlice and: [requestor isSelected: target]! !

!MDCmdSaveSliceToFile methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:35'!
label
	^ 'save to file...'! !
